Tin An Ninh Mạng

Lỗi nghiêm trọng trên OpenSMTPD khiến các máy chủ mail Linux và OpenBSD có thể bị tấn công

Các nhà nghiên cứu bảo mật vừa phát hiện ra lỗ hổng nghiêm trọng CVE-2020-7247 trong máy chủ email OpenSMTPD có thể cho phép kẻ tấn công từ xa chiếm quyền kiểm soát hoàn toàn hệ điều hành BSD và nhiều máy chủ chạy hệ điều hành Linux.

{

}

OpenSMTPD-openbsd_1.jpg

OpenSMTPD là phần mềm mã nguồn mở của giao thức SMTP hướng server, ban đầu được phát triển như một phần của hệ điều hành OpenBSD nhưng hiện được cài đặt sẵn trên nhiều hệ thống chạy hệ điều hành UNIX.

Theo phòng nghiên cứu Qualys, đội ngũ phát hiện ra lỗ hổng, lỗi này nằm trong tính năng xác thực địa chỉ người gửi của OpenSMTPD, còn gọi là smtp_mailaddr(), có thể bị khai thác để thực thi các lệnh shell tùy ý với đặc quyền root trên máy chủ dính lỗ hổng bằng cách gửi các tin nhắn SMTP tự tạo đến máy chủ đó.

Lỗ hổng ảnh hưởng đến OpenBSD phiên bản 6.6 và có thể cho phép thực thi lệnh shell trong cả 2 tình huống: cục bộ với cấu hình mặc định của OpenSMTPD; hoặc từ xa nếu daemon được kích hoạt để lắng nghe trên tất cả các interface và chấp nhận mail từ bên ngoài.

OpenSMTPD-openbsd_2.jpg

Các nhà nghiên cứu đã đưa ra khuyến cáo: “Việc khai thác lỗ hổng có một vài hạn chế do độ dài của phần local (tối đa 64 ký tự) và sẽ không có một số ký tự như ‘$’, ‘|’.

Ngoài ra, các nhà nghiên cứu cũng đã công bố mã khai thác (PoC) cho lỗ hổng này.

Lỗ hổng đã được thông báo cho các nhà phát triển OpenSMTPD và đơn vị này đã phát hành phiên bản 6.6.2pl để vá lỗi cũng như bản cập nhật cho người dùng OpenBSD.

Các quản trị viên máy chủ có phiên bản dính lỗ hổng cần cập nhật bản vá sớm nhất có thể.

Theo The Hacker News

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !